Macro
SEQAN_ENABLE_DEBUG
Indicates whether debugging is enabled.
SEQAN_ENABLE_DEBUG
Remarks
When enabled (set to 1), debugging is enabled. This means the assertion macros are expanded to actual code and not to nothing.
By default, this is set to 0 if NDEBUG is defined and to 1 if NDEBUG is not defined.
If you want to change this value, you have to define this value before including any SeqAn header.
Force-enabled if SEQAN_ENABLE_TESTING is set to 1.
See Also
SEQAN_ENABLE_TESTING, SEQAN_ENABLE_CHECKPOINTS
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59